package cn.stylefeng.team.portal.modular.management.service;

import cn.stylefeng.roses.kernel.db.api.pojo.page.PageResult;
import cn.stylefeng.team.portal.modular.management.entity.PortalAppLink;
import cn.stylefeng.team.portal.modular.management.pojo.request.PortalAppLinkRequest;
import com.baomidou.mybatisplus.extension.service.IService;

public interface PortalAppLinkService extends IService<PortalAppLink> {

    void add(PortalAppLinkRequest portalAppLinkRequest);

    void del(PortalAppLinkRequest portalAppLinkRequest);

    void batchDelete(PortalAppLinkRequest portalAppLinkRequest);

    void edit(PortalAppLinkRequest portalAppLinkRequest);

    PortalAppLink detail(PortalAppLinkRequest portalAppLinkRequest);

    PageResult<PortalAppLink> findPage(PortalAppLinkRequest portalAppLinkRequest);

}
